%define kdeprefix /opt/kde
%define version 1.1.1
%define kderelease 1
%define sourcedir stable/1.1.1/distribution/tar/generic/source
%define tag -1.1.1
%define topdirtag -1.1.1
Serial: 3

%define target RedHat 5.1 or 5.2 systems
%define compiler egcs
%define rhseries rh5x
%define redhat redhat-release >= 5.1
%define qtrequired  qt >= 1.42 qt-egcs-10x

%define kdename  korganizer
%define topdir %{kdename}%{topdirtag}
Name: %{kdename}
Summary: KOrganizer - Calendar and Scheduling Program for KDE
Version: %{version}
Release: %{kderelease}%{rhseries}
URL: http://www.kde.org
Source: ftp://ftp.kde.org:/pub/kde/%{sourcedir}/%{kdename}%{tag}.tar.gz
Copyright: GPL
Group: X11/KDE/Apps
Buildroot: /var/tmp/korganizer-buildroot
Requires: %{qtrequired} %{redhat} kdebase-%{rhseries}
Distribution: KDE
Packager: KDE Packaging Team <redhat-rpms@kde.org>
Vendor: The KDE Team
Prefix: %{kdeprefix}

%description
KOrganizer is a complete calendar and scheduling program for KDE.  It allows 
interchange with other calendar applications through the industry-standard 
vCalendar file format.

This package is intended for %{target}.
It will be installed by default in %{kdeprefix}, but is relocatable to install
under e.g., /usr/kde, using "rpm --prefix /usr/kde ..."

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{topdir}

%build
export KDEDIR=%{kdeprefix}
CC=%{compiler} ./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT --disable-path-check
make KDEDIR=%{kdeprefix}

%install
export KDEDIR=%{kdeprefix}
make prefix=$RPM_BUILD_ROOT%{kdeprefix} install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Sun Apr 18 1999 <duncan@kde.org>
- updated for KDE-1.1.1

* Sat Feb 13 1999 <duncan@kde.org>
- files in KDEDIR/share/applnk no longer treated as %config files

* Mon Feb 8 1999 <duncan@kde.org>
- new rpm packaging for KDE-1.1
- relocatable rpms

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- updated file specification to pick up config files as such.









